<?php
/*
 * This file is part of a larger software package. Please read the License file 
 * in the root of this installation for terms of usage and distribution.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * 
 * CORE: manage/plugins.php - version 1.0
*/

$nAdminOnlyPg = 1;

// Secure and connect
require("../inc/dbconnect.php");
require("inc/secure_page.php");
require("../inc/tracker.php");

// Includes
require("../inc/config.php");
require("inc/lang.php");

// set page defaults
$nLoadJS = ""; // used for changing title onload

// Handle plugin deactivation
$nDeactivatePluginID = (isset($_GET["dact"]) ? $_GET["dact"] : NULL);
if($nDeactivatePluginID){ nPluginDeactivate($nDeactivatePluginID); $nMessage="Plugin successfully deactivated."; }
?>
<?php include("inc/nav/header.php"); ?>

<div id="titlediv">
    <div class="clearfix container" id="pattern">
        <div class="row">
            <div class="col_12">
                <ul class="breadcrumbs hor-list">
                    <li><a href="home.php"><?php echo _("Dashboard"); ?></a></li>
                    <li><a href="plugins.php"><?php echo _("Plugins"); ?></a></li>
                </ul>
                <h1><?php echo _("Plugins"); ?></h1>
            </div>
        </div>
    </div>
</div>

<div class="container" id="actualbody">

	<div class="row clearfix">
	    <div class="widget clearfix">
			<div class="view-switcher">
			    <h2><span id="pluginsTableTitle"><?php echo _("Plugins"); ?></span></h2>
			</div>
	        <div class="widget_inside">
	            <!--
				<div style="text-align:right; position:relative;">
					<button onClick="openEditDialog('comp',0,'Add New Plugin');" class="icon" data-icon-primary="ui-icon-plus" style="position:absolute; top:-64px; right:0;">Add New Plugin</button>
				</div>
				//-->
				<span id="notify" class="notification done" style="display:none;"></span>
				<div class="col_12" id="pluginsTable"></div>
	        </div>
	    </div>
	</div>
    
</div>

<script>
	// load external content
	function nLoadPluginsTable(){
		loadContentToID("#pluginsTable","tables/plugins.php");
	}
	$(function(){
		nLoadPluginsTable();
	});
	<?php echo $nLoadJS;?>
</script>

<?php include("inc/nav/footer.php") ?>
<?php
function nPluginDeactivate($nPluginID){
	global $DBName, $Link;
	if(!$nPluginID){ return; }
	$nPluginUserID = nGetPluginIDFromNum($nPluginID);
	// Delete all component records
	if($nPluginUserID){
		$Query = "DELETE FROM nPluginComp WHERE nPluginID='$nPluginUserID'";
		mysql_select_db($DBName);
		mysql_query($Query, $Link);
		// REMOVE all associated navigation items
		$Query = "DELETE FROM nPluginNav WHERE nPluginID='$nPluginUserID'";
		mysql_select_db($DBName);
		mysql_query($Query, $Link);
		// REMOVE all associated inclusion points
		$Query = "DELETE FROM nPluginInclusionPoint WHERE nPluginID='$nPluginUserID'";
		mysql_select_db($DBName);
		mysql_query($Query, $Link);
	}
	// Deactivate
	$nSQL = "UPDATE nPlugins SET nActive=0 WHERE nID='$nPluginID' LIMIT 1";
	mysql_select_db($DBName);
	mysql_query($nSQL, $Link);
}
function nGetPluginIDFromNum($nPluginNum){
	global $DBName, $Link;
	if(!$nPluginNum){ return; }
	$Query = "SELECT nPluginID FROM nPlugins WHERE nID='$nPluginNum'";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	$nCurrentRecord = 0;
	while ($Row = mysql_fetch_array($Result)) {
		$nPluginID = $Row["nPluginID"];
	}
	return $nPluginID;
}
?>
<?php
// disconnect from mysql
mysql_close($Link);
?>
